Page MenuHomePhabricator

Page Curation: Provide Customized Message to Previous Reviewer [small]
Closed, ResolvedPublic

Description

As a Page Curation user, I want to be able to send a message to the previous reviewer (if there is a previous reviewer), so that I can easily curate within the Page Curation panel.

Note: This work is to restore functionality lost in the de-coupling process, as implemented in T207442.

Acceptance Criteria:

  • If a page has been previously reviewed, the current reviewer in Page Curation should be able to send a custom message to the previous reviewer's Talk page ("Add a message for the reviewer")
  • The user will be able to send a custom message by selecting the recipient in a drop-down, which will be placed above the text box (and replace the "Add a message for the creator" text). Example: https://codepen.io/prtksxna/pen/aboXYbR
  • Remove the button for "Send message to creator" below text box.
  • Optional (depending on engineering opinion): The user should be able to send a message to either the previous reviewer or the contributor. The "both" option (found in codepen example) is not necessary.
  • If the optional behavior cannot be implemented, we can implement the original and more straight-forward functionality: Allow message to previous reviewer if the article has been reviewed, and allow message to article creator if the article has been unreviewed. The drop-down functionality can remain, in case a volunteer would later like to expand upon it.

Visual Examples:

Example of how it used to look (screenshot from video found on New Pages Patrol page before our change. Note this example shows the old behavior when the page had not yet been reviewed (so message was sent to the page creator):

Example of how it looks now:

Details

Related Gerrit Patches:
mediawiki/extensions/PageTriage : masterAdd ability to message previous reviewer

Event Timeline

ifried created this task.Sep 24 2019, 3:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2019, 3:01 PM
ifried updated the task description. (Show Details)Sep 24 2019, 3:05 PM
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 24 2019, 3:13 PM
ifried updated the task description. (Show Details)Sep 25 2019, 6:19 PM
ifried updated the task description. (Show Details)Sep 26 2019, 2:55 PM
ifried updated the task description. (Show Details)Sep 26 2019, 5:11 PM
ifried renamed this task from Page Curation: Provide Customized Message to Previous Reviewer to Page Curation: Provide Customized Message to Previous Reviewer [small].Sep 26 2019, 5:15 PM
ifried moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
HMonroy claimed this task.Sep 26 2019, 7:30 PM

@Prtksxna Can we get the select element out of the label Add a message for "select dropdown": for translation purposes? I'm not sure if we should place the select element right after the label or if it should be in a separate line. Thank you!

@HMonroy yeah moving it out of the label makes sense, in fact the label should be for the dropdown. I've updated the codepen to reflect this now. Thanks! 😊

As for the position, I think we should keep both the label and the select in the same line.

I've updated the codepen to add the usernames in the parenthesis — https://codepen.io/prtksxna/pen/aboXYbR. @HMonroy, would this resolve the issue we discussed during RTL?

HMonroy added a comment.EditedOct 7 2019, 5:46 PM

@Prtksxna Yup, thank you! The placeholder is going away right? We currently have a placeholder in the textarea for sending a message to creator Write a helpful note for $username and future reviewers.

I think we can keep the placeholder as is, it is still helpful.

Sounds good. Thank you @Prtksxna !

Change 541844 had a related patch set uploaded (by HMonroy; owner: HMonroy):
[mediawiki/extensions/PageTriage@master] Add ability to message previous reviewer

https://gerrit.wikimedia.org/r/541844

Per review by @MusikAnimal (https://gerrit.wikimedia.org/r/c/mediawiki/extensions/PageTriage/+/541844/1/modules/ext.pageTriage.views.toolbar/mark.js#143), messages sent to the previous reviewer is sort of like internal discussion that should not be shared on the article talk page (since you're speaking directly to the reviewer, not contributors to the page). Therefore, messages sent to previous reviewers will not be posted on the article talk page.

@HMonroy Agreed. The message to the previous reviewer should not be shared on the article talk page.

Change 541844 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Add ability to message previous reviewer

https://gerrit.wikimedia.org/r/541844

dom_walden added a subscriber: dom_walden.

Before an article has been reviewed, you can only send a message to the creator (obviously).

After the first review, you have a dropdown to choose between sending to the creator or reviewer.

If another reviewer reviews/unreviews the article, you can then send a message to them. You can only send messages to the last reviewer.

If you send a message to the creator, it also posts a message on the article's Talk page. Not if the message is to the reviewer.

The placeholder text in the message input box is: Write a helpful note for $reviewer and future reviewers.

Which is not strictly true for a reviewer, as you are only posting to their User_talk.

HMonroy added a comment.EditedDec 3 2019, 6:37 PM

@ifried what should I have in the placeholder when the message is only being posted on the User_talk page? If the note is being sent to the previous reviewer then it only gets posted on the reviewer's talk page. It does not get posted on the article's talk page. The current placeholder is: Write a helpful note for $reviewer and future reviewers. . Perhaps, I can just have Write a helpful note for $reviewer? Or we can have a more general message. Please let me know how to proceed. Thanks!

ifried added a comment.EditedDec 3 2019, 8:13 PM

Yup, I agree with the suggestion of @HMonroy. When the message is only being posted on the User_talk page, the message can state: "Write a helpful note for $reviewer."

Here's why: The message is only being posted on the reviewer's talk page. It is not sent to other reviewers or widely viewable through the article talk page. As a result, the message text (as written above) is the most accurate representation of the behavior.

Thank you for this catch and follow-up, @dom_walden & @HMonroy!

@Barkeep49 and @DannyS712 I would like to confirm that these changes are on production. It would be great if you could let me know, when you get a chance. Thank you!

ifried closed this task as Resolved.Dec 17 2019, 5:41 PM
ifried moved this task from Product sign-off to Done on the Community-Tech (Kanban-Q2-2019-20) board.

This work has been deployed to production, and we have verified it today on testwiki (since we didn't want to randomly message an actual reviewer on English Wikipedia). This work is now Done.

This works great, but there is a major bug with this that is going to result in a lot of errors. If you click review, or otherwise tag an article, it will list YOUR name as the previous reviewer, by default, rather than the author. So when trying to send messages to the author, I have inadvertently been accidentally adding messages to mt own talk page instead. The tool should not display your name to you if you were the one who reviewed it, this will only result in accidental sending of messages to yourself instead of the author.

Additionally, there needs to be a different template for the reviewer, currently it says:

Hello, Insertcleverphrasehere

Thank you for creating Sanneke Vermeulen.

User:Insertcleverphrasehere, while examining this page as a part of our page curation process, had the following comments:

The previous reviewer obviously didn't create the article, so we need it to use a different templated message page than the 'message to creator' (perhaps this is already the case and there is a different on-wiki page that is being used but just hasn't been updated. If so, let me know where to find it and I will fix it)

Cheers,

Insertcleverphrasehere reopened this task as Open.Dec 19 2019, 9:31 PM

That sounds to me like two separate followup tasks, instead of reopening this task?

ifried closed this task as Resolved.Jan 3 2020, 1:27 AM

I agree with @Aklapper. If there are separate issues, they should be filed as a separate tasks. I'm marking this ticket as Done.